Subject: [PATCH v2] extcon: palmas: Modified the compatible type to *ti,palmas-usb-vid*

From: [email-masked] (Chanwoo Choi)
Date: Mon, 19 Aug 2013 18:24:43 +0900

On 08/19/2013 05:47 PM, Kishon Vijay Abraham I wrote:
> On Monday 19 August 2013 10:35 AM, Kishon Vijay Abraham I wrote:
>> Hi,
>>
>> On Saturday 17 August 2013 03:51 AM, Stephen Warren wrote:
>>> On 08/16/2013 04:20 AM, Kishon Vijay Abraham I wrote:
>>>> The Palmas device contains only a USB VID detector, so modified the
>>>> compatible type to *ti,palmas-usb-vid*.
>>>
>>>> diff --git a/Documentation/devicetree/bindings/extcon/extcon-palmas.txt b/Documentation/devicetree/bindings/extcon/extcon-palmas.txt
>>>
>>>>  PALMAS USB COMPARATOR
>>>>  Required Properties:
>>>> - - compatible : Should be "ti,palmas-usb" or "ti,twl6035-usb"
>>>> + - compatible : Should be "ti,palmas-usb-vid".
>>>
>>> Has the old value been published in a release kernel? If so, it makes
>>
>> No. This was merged only in 3.11-rc1. So I think we should take this version?
>> Chanwoo can you take this patch?
> 
> Ah.. the old values will be part of 3.11 kernel. So should we retain the old
> values?

What is the meaning of old value? previous value related to extcon-twl.txt?

The extcon-twl.txt was included in 3.11 kernel
and extcon-palmas.txt will be inclued in 3.12 kernel through char-misc repo of GregKH.

Thanks,
Chanwoo Choi